Summary: A high-performance MySQL proxy
Name: proxysql
Version: 1.3.6
Release: 1%{?dist}
URL: http://www.proxysql.com/
License: GPL+
Group: Development/Tools
BuildRequires: openssl-devel
BuildRequires: cmake
BuildRequires: systemd

Source0: https://github.com/sysown/proxysql/archive/v%{version}.tar.gz

%description
ProxySQL is a high performance, high availability, protocol aware proxy for
MySQL and forks (like Percona Server and MariaDB).

%prep
%setup -q

%build
make %{?_smp_mflags}

%install
install -p -D -m 0755 src/proxysql -t %{buildroot}/%{_bindir}
install -p -D -m 0644 etc/proxysql.cnf -t %{buildroot}/%{_sysconfdir}
install -p -D -m 0755 tools/proxysql_galera_checker.sh -t %{buildroot}/%{_datadir}/%{name}/tools
install -p -D -m 0755 tools/proxysql_galera_writer.pl -t %{buildroot}/%{_datadir}/%{name}/tools
install -p -D -m 0644 systemd/proxysql.service -t %{buildroot}/%{_unitdir}
install -p -D -m 0644 README.md -t %{buildroot}/%{_docdir}/proxysql
install -p -D -m 0644 RUNNING.md -t %{buildroot}/%{_docdir}/proxysql
install -p -D -m 0644 FAQ.md -t %{buildroot}/%{_docdir}/proxysql
install -p -D -m 0644 doc/*.md -t %{buildroot}/%{_docdir}/proxysql
install -p -D -m 0644 doc/release_notes/ProxySQL_v%{version}.md -t %{buildroot}/%{_docdir}/proxysql

%post
%systemd_post proxysql.service

%preun
%systemd_preun proxysql.service

%postun
%systemd_postun_with_restart proxysql.service

%files
%config(noreplace) %{_sysconfdir}/%{name}.cnf
%{_bindir}/*
%{_unitdir}/*
%{_datadir}/%{name}/tools/proxysql_galera_checker.sh
%{_datadir}/%{name}/tools/proxysql_galera_writer.pl
%{_docdir}/%{name}/*
%license LICENSE

%changelog
* Tue May 16 2017  Augusto Caringi <acaringi@redhat.com> 1.3.6-1
- Initial build
